		#include <iostream>
		using namespace std;
		int main()
		 {
		   int  i,number;
		   long int factorial=1;
		   cout<<"Please enter number :";
		   cin>>number;
		   i = 1;
		   while (i <= number)
		    {
		      factorial *= i;
		      i ++;
		    }
		   cout<<"Factorial of "<<number<<" is : "<<factorial;
		   return 0;
		 }
